> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runmorph.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Call Transcript



## OpenAPI

````yaml get /v1/resources/telephonyCallTranscript
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers: []
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/resources/telephonyCallTranscript:
    get:
      tags:
        - Call Transcript
      summary: List Call Transcript
      parameters:
        - schema:
            anyOf:
              - type: number
              - type: string
            default: 50
          required: false
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: string
            description: >-
              Query parameter that accepts a raw query string and auto-detects
              and parses emails, phone numbers (E.164), URLs, domains, and ISO
              dates
          required: false
          description: >-
            Query parameter that accepts a raw query string and auto-detects and
            parses emails, phone numbers (E.164), URLs, domains, and ISO dates
          name: q
          in: query
        - schema:
            type: object
            properties:
              call:
                type: string
              duration:
                type: integer
                minimum: 0
                description: Duration of the call in seconds
              segments:
                type: array
                items:
                  type: object
                  properties:
                    start:
                      type: number
                      minimum: 0
                      description: Start time in seconds
                    end:
                      type: number
                      minimum: 0
                      description: End time in seconds
                    text:
                      type: string
                      description: Transcribed text segment
                    speakerId:
                      type: string
                      description: ID of the speaker
                  required:
                    - start
                    - end
                    - text
                    - speakerId
                description: Transcript segments with timing information
              speakers:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Unique speaker identifier
                    origin:
                      type: string
                      enum:
                        - internal
                        - external
                        - unknown
                      description: >-
                        Whether the speaker is internal (user), external
                        (contact), or unknown
                    name:
                      type: string
                      description: Speaker's name
                    phone:
                      type: string
                      description: Phone number of the speaker
                    email:
                      type: string
                      format: email
                      description: Email address of the speaker
                    user:
                      type: object
                      properties:
                        id:
                          type: string
                        object:
                          type: string
                          enum:
                            - resourceRef
                            - resource
                        model:
                          type: string
                        fields:
                          nullable: true
                        rawResource:
                          nullable: true
                        remote:
                          type: object
                          properties:
                            id:
                              type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                      required:
                        - id
                      description: Reference to internal user if speaker is internal
                    contact:
                      type: object
                      properties:
                        id:
                          type: string
                        object:
                          type: string
                          enum:
                            - resourceRef
                            - resource
                        model:
                          type: string
                        fields:
                          nullable: true
                        rawResource:
                          nullable: true
                        remote:
                          type: object
                          properties:
                            id:
                              type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                      required:
                        - id
                      description: Reference to contact if speaker is external
                  required:
                    - id
                    - origin
                description: List of speakers in the transcript
          required: false
          name: filters
          in: query
        - schema:
            anyOf:
              - type: array
                items:
                  anyOf:
                    - type: string
                      enum:
                        - call
                        - duration
                        - segments
                        - speakers
                    - type: string
              - type: string
          required: false
          name: fields
          in: query
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      object:
                        type: string
                        default: list
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          allOf:
                            - type: object
                              properties:
                                object:
                                  type: string
                                  default: resource
                            - type: object
                              properties:
                                object:
                                  type: string
                                  enum:
                                    - resource
                                model:
                                  type: string
                                id:
                                  type: string
                                fields:
                                  type: object
                                  properties:
                                    call:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        object:
                                          type: string
                                          enum:
                                            - resourceRef
                                            - resource
                                        model:
                                          type: string
                                        fields:
                                          nullable: true
                                        rawResource:
                                          nullable: true
                                        remote:
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                        createdAt:
                                          type: string
                                        updatedAt:
                                          type: string
                                      required:
                                        - id
                                      description: >-
                                        Reference to the call this transcript
                                        belongs to
                                    duration:
                                      type: integer
                                      minimum: 0
                                      description: Duration of the call in seconds
                                    segments:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          start:
                                            type: number
                                            minimum: 0
                                            description: Start time in seconds
                                          end:
                                            type: number
                                            minimum: 0
                                            description: End time in seconds
                                          text:
                                            type: string
                                            description: Transcribed text segment
                                          speakerId:
                                            type: string
                                            description: ID of the speaker
                                        required:
                                          - start
                                          - end
                                          - text
                                          - speakerId
                                      description: >-
                                        Transcript segments with timing
                                        information
                                    speakers:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                            description: Unique speaker identifier
                                          origin:
                                            type: string
                                            enum:
                                              - internal
                                              - external
                                              - unknown
                                            description: >-
                                              Whether the speaker is internal (user),
                                              external (contact), or unknown
                                          name:
                                            type: string
                                            description: Speaker's name
                                          phone:
                                            type: string
                                            description: Phone number of the speaker
                                          email:
                                            type: string
                                            format: email
                                            description: Email address of the speaker
                                          user:
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                              object:
                                                type: string
                                                enum:
                                                  - resourceRef
                                                  - resource
                                              model:
                                                type: string
                                              fields:
                                                nullable: true
                                              rawResource:
                                                nullable: true
                                              remote:
                                                type: object
                                                properties:
                                                  id:
                                                    type: string
                                              createdAt:
                                                type: string
                                              updatedAt:
                                                type: string
                                            required:
                                              - id
                                            description: >-
                                              Reference to internal user if speaker is
                                              internal
                                          contact:
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                              object:
                                                type: string
                                                enum:
                                                  - resourceRef
                                                  - resource
                                              model:
                                                type: string
                                              fields:
                                                nullable: true
                                              rawResource:
                                                nullable: true
                                              remote:
                                                type: object
                                                properties:
                                                  id:
                                                    type: string
                                              createdAt:
                                                type: string
                                              updatedAt:
                                                type: string
                                            required:
                                              - id
                                            description: >-
                                              Reference to contact if speaker is
                                              external
                                        required:
                                          - id
                                          - origin
                                      description: List of speakers in the transcript
                                  required:
                                    - duration
                                    - segments
                                    - speakers
                                  additionalProperties:
                                    nullable: true
                                remote:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                createdAt:
                                  type: string
                                updatedAt:
                                  type: string
                                rawResource:
                                  nullable: true
                                warnings:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      code:
                                        type: string
                                      message:
                                        type: string
                                    required:
                                      - code
                              required:
                                - object
                                - model
                                - id
                                - fields
                                - createdAt
                                - updatedAt
                      next:
                        type: string
                        nullable: true
                    required:
                      - data
                      - next
                    additionalProperties: false
            application/jwt:
              schema:
                allOf:
                  - type: object
                    properties:
                      object:
                        type: string
                        default: list
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          allOf:
                            - type: object
                              properties:
                                object:
                                  type: string
                                  default: resource
                            - type: object
                              properties:
                                object:
                                  type: string
                                  enum:
                                    - resource
                                model:
                                  type: string
                                id:
                                  type: string
                                fields:
                                  type: object
                                  properties:
                                    call:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        object:
                                          type: string
                                          enum:
                                            - resourceRef
                                            - resource
                                        model:
                                          type: string
                                        fields:
                                          nullable: true
                                        rawResource:
                                          nullable: true
                                        remote:
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                        createdAt:
                                          type: string
                                        updatedAt:
                                          type: string
                                      required:
                                        - id
                                      description: >-
                                        Reference to the call this transcript
                                        belongs to
                                    duration:
                                      type: integer
                                      minimum: 0
                                      description: Duration of the call in seconds
                                    segments:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          start:
                                            type: number
                                            minimum: 0
                                            description: Start time in seconds
                                          end:
                                            type: number
                                            minimum: 0
                                            description: End time in seconds
                                          text:
                                            type: string
                                            description: Transcribed text segment
                                          speakerId:
                                            type: string
                                            description: ID of the speaker
                                        required:
                                          - start
                                          - end
                                          - text
                                          - speakerId
                                      description: >-
                                        Transcript segments with timing
                                        information
                                    speakers:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                            description: Unique speaker identifier
                                          origin:
                                            type: string
                                            enum:
                                              - internal
                                              - external
                                              - unknown
                                            description: >-
                                              Whether the speaker is internal (user),
                                              external (contact), or unknown
                                          name:
                                            type: string
                                            description: Speaker's name
                                          phone:
                                            type: string
                                            description: Phone number of the speaker
                                          email:
                                            type: string
                                            format: email
                                            description: Email address of the speaker
                                          user:
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                              object:
                                                type: string
                                                enum:
                                                  - resourceRef
                                                  - resource
                                              model:
                                                type: string
                                              fields:
                                                nullable: true
                                              rawResource:
                                                nullable: true
                                              remote:
                                                type: object
                                                properties:
                                                  id:
                                                    type: string
                                              createdAt:
                                                type: string
                                              updatedAt:
                                                type: string
                                            required:
                                              - id
                                            description: >-
                                              Reference to internal user if speaker is
                                              internal
                                          contact:
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                              object:
                                                type: string
                                                enum:
                                                  - resourceRef
                                                  - resource
                                              model:
                                                type: string
                                              fields:
                                                nullable: true
                                              rawResource:
                                                nullable: true
                                              remote:
                                                type: object
                                                properties:
                                                  id:
                                                    type: string
                                              createdAt:
                                                type: string
                                              updatedAt:
                                                type: string
                                            required:
                                              - id
                                            description: >-
                                              Reference to contact if speaker is
                                              external
                                        required:
                                          - id
                                          - origin
                                      description: List of speakers in the transcript
                                  required:
                                    - duration
                                    - segments
                                    - speakers
                                  additionalProperties:
                                    nullable: true
                                remote:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                createdAt:
                                  type: string
                                updatedAt:
                                  type: string
                                rawResource:
                                  nullable: true
                                warnings:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      code:
                                        type: string
                                      message:
                                        type: string
                                    required:
                                      - code
                              required:
                                - object
                                - model
                                - id
                                - fields
                                - createdAt
                                - updatedAt
                      next:
                        type: string
                        nullable: true
                    required:
                      - data
                      - next
                    additionalProperties: false
            text/plain:
              schema:
                allOf:
                  - type: object
                    properties:
                      object:
                        type: string
                        default: list
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          allOf:
                            - type: object
                              properties:
                                object:
                                  type: string
                                  default: resource
                            - type: object
                              properties:
                                object:
                                  type: string
                                  enum:
                                    - resource
                                model:
                                  type: string
                                id:
                                  type: string
                                fields:
                                  type: object
                                  properties:
                                    call:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        object:
                                          type: string
                                          enum:
                                            - resourceRef
                                            - resource
                                        model:
                                          type: string
                                        fields:
                                          nullable: true
                                        rawResource:
                                          nullable: true
                                        remote:
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                        createdAt:
                                          type: string
                                        updatedAt:
                                          type: string
                                      required:
                                        - id
                                      description: >-
                                        Reference to the call this transcript
                                        belongs to
                                    duration:
                                      type: integer
                                      minimum: 0
                                      description: Duration of the call in seconds
                                    segments:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          start:
                                            type: number
                                            minimum: 0
                                            description: Start time in seconds
                                          end:
                                            type: number
                                            minimum: 0
                                            description: End time in seconds
                                          text:
                                            type: string
                                            description: Transcribed text segment
                                          speakerId:
                                            type: string
                                            description: ID of the speaker
                                        required:
                                          - start
                                          - end
                                          - text
                                          - speakerId
                                      description: >-
                                        Transcript segments with timing
                                        information
                                    speakers:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                            description: Unique speaker identifier
                                          origin:
                                            type: string
                                            enum:
                                              - internal
                                              - external
                                              - unknown
                                            description: >-
                                              Whether the speaker is internal (user),
                                              external (contact), or unknown
                                          name:
                                            type: string
                                            description: Speaker's name
                                          phone:
                                            type: string
                                            description: Phone number of the speaker
                                          email:
                                            type: string
                                            format: email
                                            description: Email address of the speaker
                                          user:
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                              object:
                                                type: string
                                                enum:
                                                  - resourceRef
                                                  - resource
                                              model:
                                                type: string
                                              fields:
                                                nullable: true
                                              rawResource:
                                                nullable: true
                                              remote:
                                                type: object
                                                properties:
                                                  id:
                                                    type: string
                                              createdAt:
                                                type: string
                                              updatedAt:
                                                type: string
                                            required:
                                              - id
                                            description: >-
                                              Reference to internal user if speaker is
                                              internal
                                          contact:
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                              object:
                                                type: string
                                                enum:
                                                  - resourceRef
                                                  - resource
                                              model:
                                                type: string
                                              fields:
                                                nullable: true
                                              rawResource:
                                                nullable: true
                                              remote:
                                                type: object
                                                properties:
                                                  id:
                                                    type: string
                                              createdAt:
                                                type: string
                                              updatedAt:
                                                type: string
                                            required:
                                              - id
                                            description: >-
                                              Reference to contact if speaker is
                                              external
                                        required:
                                          - id
                                          - origin
                                      description: List of speakers in the transcript
                                  required:
                                    - duration
                                    - segments
                                    - speakers
                                  additionalProperties:
                                    nullable: true
                                remote:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                createdAt:
                                  type: string
                                updatedAt:
                                  type: string
                                rawResource:
                                  nullable: true
                                warnings:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      code:
                                        type: string
                                      message:
                                        type: string
                                    required:
                                      - code
                              required:
                                - object
                                - model
                                - id
                                - fields
                                - createdAt
                                - updatedAt
                      next:
                        type: string
                        nullable: true
                    required:
                      - data
                      - next
                    additionalProperties: false
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - MORPH::BAD_REQUEST
                      - MORPH::BAD_CONFIGURATION
                      - MORPH::UNKNOWN_ERROR
                      - MORPH::ADAPTER::CONNECTION_NOT_FOUND
                      - MORPH::ADAPTER::AUTHORIZATION_DATA_INVALID
                      - MORPH::SESSION::EXPIRED
                      - MORPH::SESSION::TOKEN_VALIDATION_FAILED
                      - >-
                        MORPH::CONNECTION::MISSING_REQUIRED_AUTHORIZATION_SETTINGS
                      - MORPH::CONNECTION::AUTH_TYPE_NOT_SUPPORTED
                      - MORPH::CONNECTION::AUTHORIZATION_NOT_FOUND
                      - MORPH::CONNECTION::AUTHORIZATION_RETRIEVE_FAILED
                      - MORPH::CONNECTION::ACCESS_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESH_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESHING_TOKEN_FAILED
                      - MORPH::CONNECTION::CREATION_FAILED
                      - MORPH::CONNECTION::UPDATE_FAILED
                      - MORPH::CONNECTION::NOT_FOUND
                      - MORPH::CONNECTION::RETRIEVE_FAILED
                      - MORPH::CONNECTION::DELETION_FAILED
                      - MORPH::CONNECTION::PROXY::REQUEST_FAILED
                      - MORPH::CONNECTION::PROXY::BAD_REQUEST
                      - MORPH::CONNECTION::PROXY::UNAUTHORIZED
                      - MORPH::CONNECTION::PROXY::FORBIDDEN
                      - MORPH::CONNECTION::PROXY::NOT_FOUND
                      - MORPH::CONNECTION::PROXY::RATE_LIMIT_EXCEEDED
                      - MORPH::CONNECTION::PROXY::SERVER_ERROR
                      - CONNECTOR::NOT_FOUND
                      - CONNECTOR::OPERATION::NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::FIELD_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::BAD_REQUEST
                      - CONNECTOR::OPERATION::SERVER_ERROR
                      - CONNECTOR::RESOURCE_MODEL::NOT_FOUND
                      - CONNECTOR::MAPPER::READ_VALIDATION_FAILED
                      - CONNECTOR::MAPPER::READ_FAILED
                      - CONNECTOR::UNKNOWN_ERROR
                      - CONNECTOR::BAD_CONFIGURATION
                      - CONNECTOR::WEBHOOK::SUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::UNSUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::VALIDATION_FAILED
                      - CONNECTOR::WEBHOOK::MAPPER_FAILED
                      - CONNECTOR::WEBHOOKS_NOT_SUPPORTED
                      - WEBHOOK::NOT_FOUND
                      - ADAPTER::WEBHOOK::CREATE_FAILED
                      - ADAPTER::WEBHOOK::RETRIEVE_FAILED
                      - ADAPTER::WEBHOOK::DELETE_FAILED
                  message:
                    type: string
                    default: ''
                required:
                  - error
            application/jwt:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - MORPH::BAD_REQUEST
                      - MORPH::BAD_CONFIGURATION
                      - MORPH::UNKNOWN_ERROR
                      - MORPH::ADAPTER::CONNECTION_NOT_FOUND
                      - MORPH::ADAPTER::AUTHORIZATION_DATA_INVALID
                      - MORPH::SESSION::EXPIRED
                      - MORPH::SESSION::TOKEN_VALIDATION_FAILED
                      - >-
                        MORPH::CONNECTION::MISSING_REQUIRED_AUTHORIZATION_SETTINGS
                      - MORPH::CONNECTION::AUTH_TYPE_NOT_SUPPORTED
                      - MORPH::CONNECTION::AUTHORIZATION_NOT_FOUND
                      - MORPH::CONNECTION::AUTHORIZATION_RETRIEVE_FAILED
                      - MORPH::CONNECTION::ACCESS_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESH_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESHING_TOKEN_FAILED
                      - MORPH::CONNECTION::CREATION_FAILED
                      - MORPH::CONNECTION::UPDATE_FAILED
                      - MORPH::CONNECTION::NOT_FOUND
                      - MORPH::CONNECTION::RETRIEVE_FAILED
                      - MORPH::CONNECTION::DELETION_FAILED
                      - MORPH::CONNECTION::PROXY::REQUEST_FAILED
                      - MORPH::CONNECTION::PROXY::BAD_REQUEST
                      - MORPH::CONNECTION::PROXY::UNAUTHORIZED
                      - MORPH::CONNECTION::PROXY::FORBIDDEN
                      - MORPH::CONNECTION::PROXY::NOT_FOUND
                      - MORPH::CONNECTION::PROXY::RATE_LIMIT_EXCEEDED
                      - MORPH::CONNECTION::PROXY::SERVER_ERROR
                      - CONNECTOR::NOT_FOUND
                      - CONNECTOR::OPERATION::NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::FIELD_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::BAD_REQUEST
                      - CONNECTOR::OPERATION::SERVER_ERROR
                      - CONNECTOR::RESOURCE_MODEL::NOT_FOUND
                      - CONNECTOR::MAPPER::READ_VALIDATION_FAILED
                      - CONNECTOR::MAPPER::READ_FAILED
                      - CONNECTOR::UNKNOWN_ERROR
                      - CONNECTOR::BAD_CONFIGURATION
                      - CONNECTOR::WEBHOOK::SUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::UNSUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::VALIDATION_FAILED
                      - CONNECTOR::WEBHOOK::MAPPER_FAILED
                      - CONNECTOR::WEBHOOKS_NOT_SUPPORTED
                      - WEBHOOK::NOT_FOUND
                      - ADAPTER::WEBHOOK::CREATE_FAILED
                      - ADAPTER::WEBHOOK::RETRIEVE_FAILED
                      - ADAPTER::WEBHOOK::DELETE_FAILED
                  message:
                    type: string
                    default: ''
                required:
                  - error
            text/plain:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - MORPH::BAD_REQUEST
                      - MORPH::BAD_CONFIGURATION
                      - MORPH::UNKNOWN_ERROR
                      - MORPH::ADAPTER::CONNECTION_NOT_FOUND
                      - MORPH::ADAPTER::AUTHORIZATION_DATA_INVALID
                      - MORPH::SESSION::EXPIRED
                      - MORPH::SESSION::TOKEN_VALIDATION_FAILED
                      - >-
                        MORPH::CONNECTION::MISSING_REQUIRED_AUTHORIZATION_SETTINGS
                      - MORPH::CONNECTION::AUTH_TYPE_NOT_SUPPORTED
                      - MORPH::CONNECTION::AUTHORIZATION_NOT_FOUND
                      - MORPH::CONNECTION::AUTHORIZATION_RETRIEVE_FAILED
                      - MORPH::CONNECTION::ACCESS_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESH_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESHING_TOKEN_FAILED
                      - MORPH::CONNECTION::CREATION_FAILED
                      - MORPH::CONNECTION::UPDATE_FAILED
                      - MORPH::CONNECTION::NOT_FOUND
                      - MORPH::CONNECTION::RETRIEVE_FAILED
                      - MORPH::CONNECTION::DELETION_FAILED
                      - MORPH::CONNECTION::PROXY::REQUEST_FAILED
                      - MORPH::CONNECTION::PROXY::BAD_REQUEST
                      - MORPH::CONNECTION::PROXY::UNAUTHORIZED
                      - MORPH::CONNECTION::PROXY::FORBIDDEN
                      - MORPH::CONNECTION::PROXY::NOT_FOUND
                      - MORPH::CONNECTION::PROXY::RATE_LIMIT_EXCEEDED
                      - MORPH::CONNECTION::PROXY::SERVER_ERROR
                      - CONNECTOR::NOT_FOUND
                      - CONNECTOR::OPERATION::NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::FIELD_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::BAD_REQUEST
                      - CONNECTOR::OPERATION::SERVER_ERROR
                      - CONNECTOR::RESOURCE_MODEL::NOT_FOUND
                      - CONNECTOR::MAPPER::READ_VALIDATION_FAILED
                      - CONNECTOR::MAPPER::READ_FAILED
                      - CONNECTOR::UNKNOWN_ERROR
                      - CONNECTOR::BAD_CONFIGURATION
                      - CONNECTOR::WEBHOOK::SUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::UNSUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::VALIDATION_FAILED
                      - CONNECTOR::WEBHOOK::MAPPER_FAILED
                      - CONNECTOR::WEBHOOKS_NOT_SUPPORTED
                      - WEBHOOK::NOT_FOUND
                      - ADAPTER::WEBHOOK::CREATE_FAILED
                      - ADAPTER::WEBHOOK::RETRIEVE_FAILED
                      - ADAPTER::WEBHOOK::DELETE_FAILED
                  message:
                    type: string
                    default: ''
                required:
                  - error
      security:
        - ApiKeyAuth: []
          ApiSecretAuth: []
          ConnectorId: []
          OwnerId: []
          SessionToken: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
    ApiSecretAuth:
      type: apiKey
      in: header
      name: x-api-secret
    ConnectorId:
      type: apiKey
      in: header
      name: x-connector-id
    OwnerId:
      type: apiKey
      in: header
      name: x-owner-id
    SessionToken:
      type: apiKey
      in: header
      name: x-session-token

````